Modbus¶
/stm.cgi?modbus_sensor¶
Changed in HW 3.5+ SW 1.36 - command format changed and new options added.
Select the modules connected to the serial port (Modbus RTU).
GET /stm.cgi?modbus_sensor=AB
Ais index of Modbus slot 1-3, integer0-2-
Bis a connected module, integer0-9,100-104{ "0": "OFF", "1": "SDM120", "2": "SDM72D-M", "3": "RDO-PRO-X", "4": "Epever Tracer", "5": "Sofarsolar", "6": "GTIL", "7": "Danfos EKC 202C", "8": "SDM630/72D-v2", // added in HW 3.5+ SW 1.57 "9": "CHINT-DTSU666", // added in HW 3.5+ SW 1.57 "100": "custom1 (custom)", "101": "custom2 (custom)", "102": "custom3 (custom)", "103": "custom4 (custom)", // added in HW 3.5+ SW 1.57 "104": "custom5 (custom)", // added in HW 3.5+ SW 1.57 }
Example:
http://192.168.1.100/stm.cgi?modbus_sensor=00
GET /stm.cgi?modbus_sensor=A
-
Ais a connected module, integer0-7{ "0": "OFF", "1": "SDM120", "2": "SDM72D-M", "3": "RDO-PRO-X", "4": "Epever Tracer", "5": "Sofarsolar", "6": "GTIL", "7": "Danfos EKC 202C", }
Example:
http://192.168.1.100/stm.cgi?modbus_sensor=0
/stm.cgi?modbusid¶
Changed in HW 3.5+ SW 1.36 - command format changed.
Set the slave ID for the selected Modbus RTU module.
GET /stm.cgi?modbusid=AB
Ais index of Modbus slot 1-3, integer0-2Bis the ID, integer
Example:
http://192.168.1.100/stm.cgi?modbusid=01
GET /stm.cgi?modbusid=A
Ais the ID, integer
Example:
http://192.168.1.100/stm.cgi?modbusid=1
/stm.cgi?modbusmapping¶
Added in HW 3.5+ SW 1.36
Changed in HW 3.5+ SW 1.57 - support for additional 1-Wire sensors in mapping.
Set the mapping of Modbus and additional 1-Wire readings to variables m1-m30, for use in HTTP client, MQTT client, OLED, VOLED, Power and Energy.
GET /stm.cgi?modbusmapping=A
Ais a list of 30 pairs of slot number (integer0-6, where0is inactive,1-3are Modbus modules,4-6are additional 1-Wire sensors) and reading number (integer0-29)
Ais a list of 30 pairs of slot number (integer0-3, where0is inactive,1-3are Modbus modules) and reading number (integer0-29)
Example:
http://192.168.1.100/stm.cgi?modbusmapping=10*11*12*13*14*15*16*17*18*00*00*00*00*00*00*00*00*00*00*00*00*00*00*00*00*00*00*00*00*00
/stm.cgi?mod_custom_set¶
Added in HW 3.5+ SW 1.36
Set the custom device name and communication parameters such as bitrate, parity bit and stop bit.
GET /stm.cgi?mod_custom_setA=B*C*D*E*F
-
Ais a index of custom configurationinteger
0-4integer
0-2 -
Bis a name, string -
Cis a bitrate, integer0-5{ "5": "4800", // added in SW 1.42b "0": "9600", "1": "19200", "2": "38400", "3": "57600", "4": "115200", } -
Dis a parity bit, integer0-2{ "0": "none", "1": "even", "2": "odd", // added in SW 1.57 } -
Eis a stop bit, integer -
Fis delay between register reads, integer (when divided by 10 equals real value in seconds)Added in HW 3.5+ SW 1.40
Example:
http://192.168.1.100/stm.cgi?mod_custom_set0=sdm72_custom*0*0*1*1
/post.cgi?mod_custom_save¶
Added in HW 3.5+ SW 1.36
Set the list of readings for a custom device, specifying name, unit, divisor, register address, function code, type for each.
POST /post.cgi?mod_custom_save
&mAB=C*D*E*F*G*H*I&mAB=C*D*E*F*G*H*I&mAB=C*D*E*F*G*H*I&mAB=C*D*E*F*G*H*I&mAB=C*D*E*F*G*H*I&&
-
Ais a index of custom configurationinteger
0-4integer
0-2 -
Bis a index of reading, integer0-29 Cis a name of reading, stringDis an unit, string-
Eis a divisorinteger
0-3{ "0": "1", "1": "10", "2": "100", "3": "1000", "4": "10000", // added in HW 3.5+ SW 1.57 }integer
1, 10, 100{ "1": "1", "10": "10", "100": "100", } -
Fis a register address in decimal format, integer -
Gis a function code, integer1-4{ "1": "0x01", "2": "0x02", "3": "0x03", "4": "0x04", } -
His a type of variable, integer0-2{ "0": "int16", "1": "int32", "2": "float", } -
Idefines endian option, integer0-3{ "0": "no swap", "1": "swap byte", "2": "swap word", "3": "swap byte and word", }Added in HW 3.5+ SW 1.57
Example:
http://192.168.1.100/post.cgi?mod_custom_save
&m00=Total Power*W*2*52*4*2*0&m01=import*kWh*2*72*4*2*0&m02=export*kWh*2*74*4*2*0&m03=total energy*kwh*2*342*4*2*0&m04=set total ene*kwh*2*384*4*2*0&&
/stm.cgi?modbuson¶
Enable the Modbus TCP Server.
GET /stm.cgi?modbuson=A
Adetermines whether the function is enabled, integer0-1
Example:
http://192.168.1.100/stm.cgi?modbuson=0